org.apache.maven.scm.provider.git.gitexe.command

## Class GitCommandLineUtils

- java.lang.Object
- - org.apache.maven.scm.provider.git.gitexe.command.GitCommandLineUtils

    public class GitCommandLineUtils
    extends Object

Command line construction utility.

Version:
  $Id: GitCommandLineUtils.java 691832 2008-09-03 23:54:44Z vsiveton $
Author:
  Brett Porter, Mark Struberg

### Constructor Summary

Constructors
Constructor and Description
`GitCommandLineUtils()`

### Method Summary

Methods
`static void` `addTarget(org.codehaus.plexus.util.cli.Commandline cl, List files)`
`static int` `execute(org.codehaus.plexus.util.cli.Commandline cl, org.codehaus.plexus.util.cli.CommandLineUtils.StringStreamConsumer stdout, org.codehaus.plexus.util.cli.CommandLineUtils.StringStreamConsumer stderr, ScmLogger logger)`
`static int` `execute(org.codehaus.plexus.util.cli.Commandline cl, org.codehaus.plexus.util.cli.StreamConsumer consumer, org.codehaus.plexus.util.cli.CommandLineUtils.StringStreamConsumer stderr, ScmLogger logger)`
`static org.codehaus.plexus.util.cli.Commandline` `getBaseGitCommandLine(File workingDirectory, String command)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### GitCommandLineUtils

    public GitCommandLineUtils()

### Method Detail

#### addTarget

    public static void addTarget(org.codehaus.plexus.util.cli.Commandline cl,
                 List files)

#### getBaseGitCommandLine

    public static org.codehaus.plexus.util.cli.Commandline getBaseGitCommandLine(File workingDirectory,
                                                                 String command)

#### execute

    public static int execute(org.codehaus.plexus.util.cli.Commandline cl,
              org.codehaus.plexus.util.cli.StreamConsumer consumer,
              org.codehaus.plexus.util.cli.CommandLineUtils.StringStreamConsumer stderr,
              ScmLogger logger)
                       throws ScmException

Throws:
  `ScmException`

#### execute

    public static int execute(org.codehaus.plexus.util.cli.Commandline cl,
              org.codehaus.plexus.util.cli.CommandLineUtils.StringStreamConsumer stdout,
              org.codehaus.plexus.util.cli.CommandLineUtils.StringStreamConsumer stderr,
              ScmLogger logger)
                       throws ScmException

Throws:
  `ScmException`